Summary: 	pdftk - the pdf tool kit
Name: 		pdftk
Version: 	1.12
Release: 	0
Packager:	Bernhard Walle <bernhard.walle@gmx.de>
License:	GPL
URL: 		http://www.accesspdf.com/pdftk/
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Applications/Publishing
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	libgcj
BuildRequires:	gcc-java
BuildRequires:	libgcj-devel

%description
If PDF is electronic paper, then pdftk is an electronic staple-remover,
hole-punch, binder, secret-decoder-ring, and X-Ray-glasses. Pdftk is a simple
tool for doing everyday things with PDF documents. Keep one in the top drawer
of your desktop and use it to:

    * Merge PDF Documents
    * Split PDF Pages into a New Document
    * Decrypt Input as Necessary (Password Required)
    * Encrypt Output as Desired
    * Burst a PDF Document into Single Pages
    * Report on PDF Metrics, including Metadata and Bookmarks
    * Uncompress and Re-Compress Page Streams
    * Repair Corrupted PDF (Where Possible)

Pdftk is also an example of how to use a library of Java classes in a
stand-alone C++ program. Specifically, it demonstrates how GCJ and CNI allow
C++ code to use iText's (itext-paulo) Java classes.

%prep
%setup -q

%build
%{suse_update_config -fl}
unset CLASSPATH && cd pdftk && make -f Makefile.RedHat && cd -

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 0755 pdftk/pdftk $RPM_BUILD_ROOT/%{_bindir}/pdftk
install -m 0644 debian/pdftk.1 $RPM_BUILD_ROOT/%{_mandir}/man1/pdftk.1
gzip $RPM_BUILD_ROOT/%{_mandir}/man1/pdftk.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc pdftk.1.html  pdftk.1.notes  pdftk.1.txt
%{_bindir}/*
%{_mandir}/man1/*
